## Les serveurs externes qui seront utilisés pour se synchroniser (strate 1 et 1)

{% for _current_ntp_server in glxclans_system_base_ntp_server_upper_stratum %}
server {{ _current_ntp_server }} iburst
{% endfor %}

## Contrôle des accès
# Par défaut, on ne répond ?|  rien ...
#restrict default ignore
#restrict default notrap noquery nopeer

# ... exception faite des serveurs externes sur lesquels on va se synchroniser ...
# (rien ne circule sauf la correction du temps : dans l'ordre, on n'autorise
# pas la création de hooks pour des journaux ?|  distance, on ne peut pas consulter
# ou modifier la configuration du serveur, les serveurs ne peuvent pas tenter
# d'établir une connexion en tant que peer)
discard average 3 minimum 2
restrict -4 default kod nomodify notrap nopeer noquery limited
restrict -6 default kod nomodify notrap nopeer noquery limited

# ... et en local (on peut tout faire)
{% for _current_ntp_server in glxclans_system_base_ntp_restrict %}
restrict {{ _current_ntp_server }}
{% endfor %}

#server 127.127.1.0
#fudge 127.127.1.0 stratum 10
## Fin du contrôle des accès

# On stocke le décalage de l'horloge système. Cela permet de maintenir, un peu,
# l'heure en cas de coupures du net. Ne pas placer ce fichier dans un répertoire
# temporaire : cela évite aussi ?|  ntpd d'avoir ?|  refaire les calculs permettant
# de déterminer la dérive de l'horloge après chaque redémarrage.
driftfile {{ __glxclans_system_base_ntp_driftfile }}
